Create Exchange
curl --request POST \
--url https://api.dfns.io/exchanges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"readConfiguration": {
"publicApiKey": "<string>",
"privateApiKey": "<string>",
"password": "<string>",
"otp": "<string>"
},
"writeConfiguration": {
"publicApiKey": "<string>",
"privateApiKey": "<string>",
"password": "<string>",
"otp": "<string>"
},
"name": "<string>"
}
'import requests
url = "https://api.dfns.io/exchanges"
payload = {
"readConfiguration": {
"publicApiKey": "<string>",
"privateApiKey": "<string>",
"password": "<string>",
"otp": "<string>"
},
"writeConfiguration": {
"publicApiKey": "<string>",
"privateApiKey": "<string>",
"password": "<string>",
"otp": "<string>"
},
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
readConfiguration: {
publicApiKey: '<string>',
privateApiKey: '<string>',
password: '<string>',
otp: '<string>'
},
writeConfiguration: {
publicApiKey: '<string>',
privateApiKey: '<string>',
password: '<string>',
otp: '<string>'
},
name: '<string>'
})
};
fetch('https://api.dfns.io/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dateCreated": "<string>",
"name": "<string>"
}Create Exchange
Link your organization with a cryptocurrency exchange.
POST
/
exchanges
Create Exchange
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)❌ Service Account
Required Permissions
Exchanges:Create: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Body
application/json
Last modified on July 9, 2026
Was this page helpful?
⌘I